<script setup lang="ts">
import type { BSPaper } from '@/types/BSPaper'
import type { BSPaperItem } from '@/types/BSPaperItem'
import { computed, ref } from 'vue'
import BSPaperItemList from '@/components/BuystockComponent/BSPaperItemList.vue'

const props = defineProps<{
  modelValue: boolean
  bspaper: BSPaper
  bspaperItems: BSPaperItem[]
}>()
const emit = defineEmits<{
  'update:modelValue': [boolean]
  agree: []
}>()
const value = computed({
  get() {
    return props.modelValue
  },
  set(value) {
    emit('update:modelValue', value)
  }
})
</script>
<template>
  <v-row justify="center">
    <v-dialog v-model="value" persistent width="auto">
      <v-card>
        <v-card-title class="billtitle">ใบสั่งซื้อ</v-card-title>
        <v-row align="center">
          <v-col>
            <v-img src="src\assets\DcoffeeLogo.png" width="70px" style="margin-left: 15px"> </v-img>
          </v-col>
          <p style="margin-right: 270px; font-size: 13px">
            D-Coffee <br />
            สาขามหาวิทยาลัยบูรพา <br />
            โทรศัพท์ 099-999-9999
          </p>
        </v-row>
        <v-card-text>
          <v-sheet>
            <p style="font-size: 15px">
              <br />
              วันที่สั่งซื้อ : {{ bspaper.created.toLocaleDateString() }} <br />
              พนักงาน : {{ bspaper.user?.name }} <br />
            </p>
            <div style="text-align: center">--------------------------------------------------</div>
          </v-sheet>
          <BSPaperItemList :editable="false"></BSPaperItemList>
          <v-sheet
            ><p style="text-align: right">รวมเงินทั้งสิ้น {{ bspaper.total }} บาท</p></v-sheet
          >
        </v-card-text>
        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn color="green-darken-1" variant="text" @click="value = false"> Disagree </v-btn>
          <v-btn
            color="green-darken-1"
            variant="text"
            @click="
              () => {
                value = false
                console.log(bspaper)
                console.log(bspaperItems)
                emit('agree')
              }
            "
          >
            Agree
          </v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </v-row>
</template>

<style>
.billtitle {
  font-family: 'Kanit';
  font-size: 20px;
  font-weight: bold;
  text-align: right;
}

.text-left {
  text-align: left;
}
</style>
@/types/USPaperItem
